using System.Data.Entity.ModelConfiguration;
using Rainbow.Models;

namespace Rainbow.Data.Configuration
{
    public class DomainConfiguration : EntityTypeConfiguration<Domain>
    {
        public DomainConfiguration()
        {
            HasRequired(d => d.Customer).WithMany().WillCascadeOnDelete(false);
            HasRequired(d => d.Reseller).WithMany().WillCascadeOnDelete(false);
        }
    }
}